• Your favorite

    Apple

    ,

    iPhone

    ,

    iPad

    ,

    iOS

    ,
    Jailbreak
    , and
    Cydia
    site.
  • Blacksn0w for 3.1.3 3G/3GS with 05.11.07


    Well folks, the news has begun to spread about a new package for Blacksn0w and 3.1.3 on the 3G/3GS with baseband 05.11.07. This supposed new Blacksn0w package is put together by a user going by msft.guy.

    Here is a link to msft.guy's blog where he discusses the current issues as to why Blacksn0w wont work with 3.1.3.

    This tip comes in from a good friend (PushFix.info) who has gone ahead and packaged it together and gave it a shot on his iPhone 3GS. Here's what he had to say:

    Basically I have made two packages, both require 05.11.07 baseband:

    #1 Blacksn0w RC2 for 3.1.3 (Pwnagetool upgraded)

    msft.guy found the string that needed changing that makes blacksn0w work under 3.1.3. This is impressive in it's own right, but he also fixed a bug in Geohot's code that he identified. Although he didn't seem to know it, that bug was the cause of all the WiFi problems with blacksn0w (almost exclusively with the 3GS). By that I mean the issue where your phone works on one boot, but the next boot, your WiFi doesn't work and you have to reset network settings to get it to work. This is a great find and I don't even think he recognized what he fixed.

    #2 Blacksn0w RC2 for 3.1.2

    So, I applied that fix to regular old blacksn0w RC1 for 3.1.2 and again, it keeps the WiFi from getting broken. I have called it blacksn0w RC2. I have a 3GS that had constant WiFi problems with blacksn0w under 3.1.2. With this patched version of Geohot's unlock, WiFi works perfectly. I have powered off and rebooted more than 10 times and it has worked every single time now.
    It appears that msfit.guy has no intention of publicly releasing the fix and GeoHot is nowhere to be found to comment on the issue.

    The packages put together by PushFix.info have been tested by a handful of people and both appear to work flawlessly at this point.

    There are some issues with making this public as of right now, for example, if you are faking your OS version to be 3.1.3 and you install the 3.1.3 version of blacksn0w RC2 with 3.1.2 CommCenter, you will cause problems! Your cell and WiFi could be unresponsive until you either uninstalled the package again via Cydia or restored the phone.

    Besides the technical issues of current app compatibility, we feel it is appropriate to wait for GeoHot and msft.guy to respond and let us know their intentions.

    Once this package is made available, we will let you know.

    THIS IS NOT A NEW EXPLOIT! IT IS ESSENTIALLY AN PACKAGE PUT TOGETHER THAT UPDATES BLACKSN0W TO WORK WITH 3.1.3 on 05.11.07

    *Note: What we are referring to is a package put together by PushFix.info that contains msft.guy's work and geohot's blacksn0w.
    This article was originally published in forum thread: Blacksn0w for 3.1.3 3G/3GS with 05.11.07 started by nickhesson View original post
    Comments 133 Comments
    1. GellBrake'rrrr's Avatar
      GellBrake'rrrr -
      Dig back a few pages bro.... I just checked my email. Been out of town. My bad.

      eddy99 Posts: 3
      when is cydia coming up with 3.1.3 , baseband 05.12.07 jailbreak for i phone 3GS????????

      I did it for ya bud!
    1. BaabyBee's Avatar
      BaabyBee -
      cant wait for new unlock&jailbreak release.. so i can use my iPhone again
    1. daogirl's Avatar
      daogirl -
      Ok, I've done a ton of reading before I posted this, but if I missed something somewhere, just point me in the right direction.

      First, some info about my iphone:
      iphone 3gs
      version - 3.1
      firmware - 05.11.07
      JB/unlock - blackra1n/blacksn0w
      carrier - t-mobile
      I have SHSHs on file for 3.1.2 and 3.1.3 thru Saurik

      Here's my problem. I've been having the wifi issue off and on, although it mostly went away when I did the push fix for youtube, etc, a couple months ago.

      Today, I installed the t-mobile post-paid legacy package to fix the issue of not being able to receive picture MMS (and now I can finally receive them!). However, my wifi now seems to be out for good - I've been rebooting/soft resetting all afternoon, on the off-chance it would come back ... but nada so far.

      So, in digging up some sort of a solution, I found the info about the recent blacksn0w RC2 final release which supposedly fixes wifi. However, before I start messing with my phone again, I thought I'd ask for help/advice ... here are my questions:

      - Can I install/use the Blacksn0w RC2 final release while on 3.1? Or do I have to go to 3.1.2?

      - If I do need to upgrade to 3.1.2, what is the best way for me to go about it (since I am on Windows)?

      I'm really hesitant to just start doing stuff to my phone without being as informed as I can be, especially since I bought it full-price from best buy so I could walk out without a contract ... and I can't really afford to replace it right now if I brick it. Any help/advice/leads are much appreciated. Thanks!
    1. ggab's Avatar
      ggab -
      Just try 3.1.2, can't hurt. Make a custom firmware so you don't upgrade your firmware. Since you have your SHSH files saved with Cydia you can downgrade if you need. From what I've seen and heard wifi is better with this version of blacksn0w.
    1. daogirl's Avatar
      daogirl -
      Ok - thanks. I'm not familiar with this process at all, but I dug around and think I've figured out the steps. Because I'm mildly retarded about these things sometimes, I'll write what I found here. If anything looks really wrong, please let me know!!

      -Download an activated 3.1.2 custom ipsw file generated by Pwnage 3.1.4 (b/c I'm on a PC & t-mobile)

      -then, connect iphone to itunes and back up everything.

      -put iphone in restore mode (since my phone is already jailbroken)

      -click 'ok' at whatever prompt comes up

      -hold 'shift' and click the 'restore' button

      -in the dialog box that pops up, browse to the downloaded custom ipsw file

      -let itunes do its thing

      -then open cydia and install blacksn0w rc2

      -restore apps/photos/etc from itunes backup


      So, cydia doesn't disappear with this method because the phone remains jailbroken? Also, some instructions say to put the ipsw specifically in the itunes software updates folder ... but I'm not sure if this is essential.

      Again, thanks for bearing with me.
    1. ggab's Avatar
      ggab -
      I think you'll have to do 3.1.3 to use this version of blacksn0w. If you do 3.1.2 you'll have to use the SHSH that Cydia stored since Apple isn't signing 3.1.2 for the 3GS anymore.

      Doesn't matter where you load the custom firmware from. It will stay jailbroken after you restore from backup in iTunes. Rock app will restore your non Apple apps for you.
    1. avps's Avatar
      avps -
      Hi I have a 3GS model MB716LL running os 3.0 on baseband 5.11.07, It is tethered jailbroken and unlocked at the moment with blackra1n, shsh on file for 3.1.3, can anyone confirm if I can jailbreak and unlock, thanks

      That's jailbreak and unlock 3.1.3 even if it's tethered
    1. GellBrake'rrrr's Avatar
      GellBrake'rrrr -
      PLEASE!!!! For the love of all of us wondering...... WHY do you want to upgrade to 3.1.3??? What benefit are you looking to achieve?
    1. confucious's Avatar
      confucious -
      Quote Originally Posted by avps View Post
      Hi I have a 3GS model MB716LL running os 3.0 on baseband 5.11.07, It is tethered jailbroken and unlocked at the moment with blackra1n, shsh on file for 3.1.3, can anyone confirm if I can jailbreak and unlock, thanks

      That's jailbreak and unlock 3.1.3 even if it's tethered

      How on earth have you got 3.0 and a tethered JB? :Confused:
    1. daogirl's Avatar
      daogirl -
      But if I *do* want 3.1.2, all I have to do is edit the hosts file so it points to saurik's server before I start this whole process, correct?

      Again, thanks for the quick replies.
    1. confucious's Avatar
      confucious -
      yes
    1. avps's Avatar
      avps -
      Sorry I have 3.1 not 3.0

      No benefit, just like to have it, maybe I get a better battery life, maybe just like to fulfill my own wishes!
    1. GellBrake'rrrr's Avatar
      GellBrake'rrrr -
      Quote - SinfullSS: There are lots of benefits to 3.1.3 including but not limited to... AGGRAVATION, PULLING YOUR HAIR OUT, INCREASED SCREAMING, SLEEP DEPRIVATION etc etc

      No really... worst case scenario, you cant download an app, cuz it requires you to be on 3.1.3? Then download the 3.1.3 tricker from Cydia. Save yourself some Heartache.

      If you can find ANY good reason to upgrade from 3.x - 3.1.3, please, PLEASE, post the benefits here so that we can all see what drives you to want this upgrade. I understand that you want what's new... but, the question is.... is it worth having???